import pygame as pg


pg.init()  # inicijalizujemo rad biblioteke PyGame
pg.display.set_caption("Loptica")  # otvaramo prozor
(sirina, visina) = (400, 100)
prozor = pg.display.set_mode((sirina, visina))


x = 0  # pozicija loptice

def crtaj():
    # crtamo lopticu
    prozor.fill(pg.Color("white"))
    pg.draw.circle(prozor, pg.Color("red"), (x, visina // 2), 30)

def novi_frejm():
    global x
    x += 1    # pomeramo lopticu za jedan piksel nadesno


kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()

    # proveravamo da li je korisnik isključio prozor
    for dogadjaj in pg.event.get():
        if dogadjaj.type == pg.QUIT:
            kraj = True

    # pauziramo do sledeceg frejma
    sat.tick(50)
    novi_frejm()

pg.quit() # isključujemo rad biblioteke PyGame
